%define version_major    0
%define version_minor    13
%define version_revision 38

Name:		zziplib
Version:	%{version_major}.%{version_minor}.%{version_revision}
Release:	1

Summary:	Lightweight library to easily extract data from zip files
License:	LGPL/MPL
Group:		Applications/Archiving
Source:		zziplib-%{version}.tar.bz2
URL:		http://zziplib.sourceforge.net/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crazy Eddie's GUI System is a free library providing windowing and
widgets for graphics APIs / engines where such functionality is not
natively available, or severly lacking. The library is object
orientated, written in C++, and aimed at game developers

%package devel
Summary: CEGUI header files.
Group: Development/C++
Requires: %{name} = 0:%{version}

%description devel
This package contains the header files for CEGUI.
Install this package if you want to develop programs
that uses CEGUI.

%prep
%setup -q 

%build
./configure --prefix=%{_prefix} --enable-sdl
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc docs/COPYING* ChangeLog README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc docs/README.SDL docs/*.htm
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/doc/zziplib-%{version}/


%changelog
* Fri Jul 1 2005 Xavier Decoret <Xavier.Decoret@imag.fr> 0.3.0-1
- First distribution of the package.
